4.2 ECS-“错误:无效BoSMDEF语句:版本”/“错误:无效块语句:版本”

描述

关键词:ECS,开放错误,语法错误,版本,BlockDef,块

紧迫性:标准

一般描述:
我无法打开包含ECS中一个名为“版本”的组件的示意图。如果选择“多& gt;& gt”按钮,则显示与以下类似的消息:

“U43.SCH,第635行:错误:语法错误:语法错误”
“U43.SCH,第634行:错误:无效的BuffDEF语句:版本”
“U43.SCH,第999行:错误:语法错误:语法错误”
“U43.SCH,第998行:错误:无效块语句:版本”

解决方案

ECS示意图以文本格式保存。在这种格式中,“版本”是关键字,不能用作标识符。您可以通过在文本编辑器中打开它并删除错误中列出的行,并包括它们各自的“结束”语句来修复该示意图。

下面是一个从这个错误的示意图中摘录的例子。(线号已被预先准备好以说明错误消息与文件内容之间的关系)必须删除这些行:

634开始BuffDEF版本
635时间戳2002、5、8、16、37、18
636矩形N 64 - 64 64 320 0
637线N 320 - 32 - 384 - 32
638矩形N 320 - 44 44 - 384 - 20
639端封锁

998开始块XLXIH95版本
999针C(7:0)版本(7:0)
1000端块

打开示意图后,用新名称重新创建组件符号,并将其添加到示意图中。
编辑 重设标签(回车键确认) 标为违禁 关闭 合并 删除

提问于 2018-07-30 11:20:59 +0800

这个帖子被标记为一个社区wiki

这个帖子是一个wiki(维基). 任何一个积分 >500的人都可以完善它